Profile
Get the current user's profile
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful Response
application/json
idstringRequired
fidstringRequiredExample:
user_abc123456emailstring · emailRequired
user_namestring · nullableOptional
organization_idstringRequired
organization_rolestring · nullableOptional
get/v2/me
GET /v2/me HTTP/1.1
Host: api.mithril.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful Response
{
"id": "text",
"fid": "user_abc123456",
"email": "name@gmail.com",
"user_name": "text",
"organization_id": "text",
"organization_role": "text"
}Get teammates visible to the current user.
Returns teammates from the user's organization, filtered by shared project membership (unless the user is an org admin, in which case all org members are visible). Can be used by a client to map user FIDs to user profiles.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful Response
application/json
idstringRequired
fidstringRequiredExample:
user_abc123456user_namestring · nullableOptional
emailstring · nullableOptional
organization_rolestring · nullableOptional
project_idsstring[]Required
deactivated_atstring · datetime · nullableOptionalExample:
2024-01-01T00:00:00Zget/v2/me/teammates
GET /v2/me/teammates HTTP/1.1
Host: api.mithril.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful Response
[
{
"id": "text",
"fid": "user_abc123456",
"user_name": "text",
"email": "text",
"organization_role": "text",
"project_ids": [
"text"
],
"deactivated_at": "2024-01-01T00:00:00Z"
}
]Last updated